summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/create-image.sh2
-rwxr-xr-xscripts/install.sh5
-rw-r--r--scripts/ipkg-make-index.sh2
-rw-r--r--scripts/scan-pkgs.sh16
-rw-r--r--scripts/scan-tools.sh14
-rwxr-xr-xscripts/tar4
6 files changed, 25 insertions, 18 deletions
diff --git a/scripts/create-image.sh b/scripts/create-image.sh
index b4824aea7..7536cd814 100755
--- a/scripts/create-image.sh
+++ b/scripts/create-image.sh
@@ -79,7 +79,7 @@ printf "Creating filesystem $filesystem\n"
printf "Create partition and filesystem\n"
$parted -s $1 mklabel msdos
-$parted -s $1 mkpart primary ext2 0 100%
+$parted -s $1 mkpart primary ext2 0 98%
$parted -s $1 set 1 boot on
dd if=$1 of=mbr bs=16384 count=1 2>/dev/null
diff --git a/scripts/install.sh b/scripts/install.sh
index 79bfa36bf..b436767a5 100755
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -236,11 +236,6 @@ EOF
umount $tmp/dev
fi
-printf "Creating device nodes\n"
-mknod -m 666 $tmp/dev/null c 1 3
-mknod -m 622 $tmp/dev/console c 5 1
-mknod -m 666 $tmp/dev/tty c 5 0
-
umount $tmp
printf "Successfully installed.\n"
diff --git a/scripts/ipkg-make-index.sh b/scripts/ipkg-make-index.sh
index ec07dff59..927e67b93 100644
--- a/scripts/ipkg-make-index.sh
+++ b/scripts/ipkg-make-index.sh
@@ -9,7 +9,7 @@ fi
find "$pkg_dir" -name '*.ipk' | sort | while IFS= read pkg; do
dpkg=${pkg##*/}
- echo "Generating index for package $dpkg" >&2
+ #echo "Generating index for package $dpkg" >&2
file_size=$(ls -l $pkg | awk '{print $5}')
md5sum=$(md5sum $pkg)
tar -xzOf "$pkg" ./control.tar.gz | \
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index c3724740f..20471ad57 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -123,14 +123,14 @@ if [[ -n $NEED_CURLDEV ]];then
fi
fi
-if [[ -n $NEED_SSLDEV ]]; then
- if ! test -f /usr/lib/pkgconfig/openssl.pc >/dev/null; then
- if ! test -f /usr/include/openssl/ssl.h >/dev/null; then
- echo >&2 You need openssl headers to build $NEED_SQUID
- out=1
- fi
- fi
-fi
+#if [[ -n $NEED_SSLDEV ]]; then
+# if ! test -f /usr/lib/pkgconfig/openssl.pc >/dev/null; then
+# if ! test -f /usr/include/openssl/ssl.h >/dev/null; then
+# echo >&2 You need openssl headers to build $NEED_SSLDEV
+# out=1
+# fi
+# fi
+#fi
if [[ -n $NEED_MKFONTDIR ]]; then
if ! which mkfontdir >/dev/null 2>&1; then
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 256104f2b..6d12c80e6 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -56,6 +56,12 @@ OpenBSD)
# although some packages' autoconf scripts may
# not properly recognise OpenBSD
;;
+Darwin*)
+ echo "Building OpenADK on $os needs a case-sensitive disk partition."
+ echo "For Snow Leopard and above you can use diskutil to resize your existing disk."
+ echo "For older versions you might consider to use a disk image"
+ echo "Example: sudo diskutil resizeVolume disk0s2 90G 1 jhfsx adk 30G"
+ ;;
*)
# unsupported
echo "Building OpenADK on $os is currently unsupported."
@@ -105,9 +111,11 @@ fi
if ! (tar --version | grep GNU) >/dev/null 2>&1;then
if ! which gtar >/dev/null 2>&1; then
- echo You must install GNU tar to continue.
- echo
- out=1
+ if ! which gnutar >/dev/null 2>&1; then
+ echo You must install GNU tar to continue.
+ echo
+ out=1
+ fi
fi
fi
diff --git a/scripts/tar b/scripts/tar
index 5d6db28b4..6f63d74c1 100755
--- a/scripts/tar
+++ b/scripts/tar
@@ -3,11 +3,15 @@
# material, please see the LICENCE file in the top-level directory.
if [ -z "$(which gtar 2>/dev/null)" ];then
+ if [ -z "$(which gnutar 2>/dev/null)" ];then
if [ -x /usr/bin/tar ];then
/usr/bin/tar "$@"
else
/bin/tar "$@"
fi
+ else
+ gnutar "$@"
+ fi
else
gtar "$@"
fi